%define use_mod_php	1
%define use_con_php	1

# Package name without php prefix
%define package_name	mmcache
%define php_extension   mmcache
###############################################################

%define phpver	%(rpm -q --queryformat '%%{VERSION}' php-devel)
%define phprel	%(rpm -q --queryformat '%%{RELEASE}' php-devel)
%define phpser	%(rpm -q --queryformat '%%{SERIAL}'  php-devel)

%set_automake_version 1.7

Name: php-mmcache
Version: 2.4.6
Release: alt11.M41.1

Summary: Turck MMCache for PHP
License: GPL
Group: System/Servers

Url: http://turck-mmcache.sourceforge.net
Packager: Michael Shigorin <mike@altlinux.org>

Source: php-mmcache-%version.tar.bz2
Source1: turck-mmcache.ini
Source2: mmcache.png
Source3: mmcache.htaccess
Patch0: turck-mmcache-2.3.10-cache_file_location.patch.bz2

PreReq: php-libs = %php_version-%php_release
Conflicts: php-afterburner php-apc

%add_serial php-devel

BuildRequires: apache-devel php-devel gcc automake_1.7

%description
Turck MMCache is a opcode cache for PHP. It increases performance
of PHP scripts by caching them in compiled state, so that the
overhead of compiling is almost completely eliminated. Also it
uses some optimizations for speed up of PHP scripts execution.
Turck MMCache typically reduces server load and increases the
speed of your PHP code by 1-10 times.

Since the version 2.3.10, Turck MMCache contains PHP encoder and
loader. You can encode any PHP scripts with encoder.php to
distribute them without sources.

NB: if you plan to use MMcache within OpenVZ VE, pay attention
to shmpages limit!

%package admin
Summary: Turck MMCache admin frontend
License: GPL
Group: System/Servers
Requires: %name = %version-%release

%description admin
This package contains stats script and password change script
for Turck MMCache.  It is allowed to be accessed from localhost
only by default, please take care not to make these publicly
accessible in known locations.

%prep
%setup -q -n php-mmcache-%version
%patch0 -p0 -b .cache_file_location

%build
phpize
CFLAGS="%optflags -fPIC -L%_libdir"
%configure \
	--enable-mmcache=shared \
	--with-php-config=%_bindir/php-config \
	--with-mmcache-crash-detection
%make

%install
%php_make_install
#install -d %buildroot{%_bindir,%_sysconfdir/php}
#install -d %buildroot{%_libdir/php/extensions,%_cachedir/php-mmcache}
#install -d %buildroot{%apache_datadir/icons,%apache_htdocsdir/admin/php-mmcache}

install -d %buildroot{%_cachedir/php-mmcache,%apache_htdocsdir/admin/php-mmcache}
install -pD -m644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config
install -pD -m755 encoder.php %buildroot%_bindir/mmcache-encoder
install -pD -m644 mmcache.php %buildroot%apache_htdocsdir/admin/php-mmcache/index.php
install -pD -m644 mmcache_password.php %buildroot%apache_htdocsdir/admin/php-mmcache/mmcache_password.php
install -pD -m644 %SOURCE1 %buildroot%php_sysconfdir/apache-mod_php/php.d/mmcache.ini
install -pD -m644 %SOURCE2 %buildroot%apache_datadir/icons/mmcache.png
install -pD -m644 %SOURCE3 %buildroot%apache_htdocsdir/admin/php-mmcache/.htaccess

%files
%doc CREDITS EXPERIMENTAL README* TODO
%attr(0640,root,%apache_group) %config(noreplace) %php_sysconfdir/apache-mod_php/php.d/mmcache.ini
%php_extdir/*
%_bindir/mmcache-encoder
%attr(0770,%apache_user,%apache_group) %dir %_cachedir/php-mmcache

%files admin
%apache_htdocsdir/admin/php-mmcache/index.php
%apache_htdocsdir/admin/php-mmcache/mmcache_password.php
%apache_htdocsdir/admin/php-mmcache/.htaccess
%apache_datadir/icons/mmcache.png

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Fri Mar 18 2011 Timur Aitov <timonbl4@altlinux.org> 1:2.4.6-alt11.M41.1
- rebuild with new php version (4.4.8-alt1.M41.1)

* Wed Jan 09 2008 Michael Shigorin <mike@altlinux.org> 1:2.4.6-alt11
- rebuilt with php-libs-4.4.8-alt1

* Thu Jan 03 2008 Michael Shigorin <mike@altlinux.org> 1:2.4.6-alt10
- picked up an orphan
- rebuilt with php-libs-4.4.7-alt1
- made ini file %%config(noreplace), restrict permissions
  (due to possibility of storing password hash)
- moved ini file to current location (s/mod_php/apache-mod_php/)
- moved admin script to a subpackage, protected with 
  .htaccess file (localhost only by default)
- spec cleanup

* Sat Oct 15 2005 Alexey Gladkov <legion@altlinux.ru> 1:2.4.6-alt9.1
- rebuild with php-libs-4.4.1-alt0.cvs20051010 .

* Thu Aug 11 2005 Gor <vg@altlinux.ru> 1:2.4.6-alt9
- rebuild for new php 4.4.1

* Mon Jun 06 2005 Gor <vg@altlinux.ru> 1:2.4.6-alt8
- rebuild for new php

* Fri Apr 15 2005 Gor <vg@altlinux.ru> 1:2.4.6-alt7
- rebuild for new php

* Wed Jan 05 2005 Gor <vg@altlinux.ru> 1:2.4.6-alt6
- rebuild for new php

* Sat Aug 07 2004 Gor <vg@altlinux.ru> 1:2.4.6-alt5
- rebuild for new php

* Thu May 27 2004 Gor <vg@altlinux.ru> 1:2.4.6-alt4
- small spec fixes

* Wed Apr 14 2004 Gor <vg@altlinux.ru> 1:2.4.6-alt3
- small spec fixes

* Fri Apr 09 2004 Gor <vg@altlinux.ru> 1:2.4.6-alt2
- rebuild for new php

* Fri Dec 19 2003 Gor <vg@altlinux.ru> 1:2.4.6-alt1
- new version, spec cleanup

* Sat Oct 25 2003 Michael Shigorin <mike@altlinux.ru> 1:2.4.4-alt1
- 2.4.4 (minor bugfixes)

* Mon Oct 20 2003 Michael Shigorin <mike@altlinux.ru> 1:2.4.3-alt1
- 2.4.3 (minor bugfixes)

* Mon Oct 13 2003 Michael Shigorin <mike@altlinux.ru> 1:2.4.2-alt1
- 2.4.2 (minor bugfixes)
  WARNING: 2.4.1 had major security fixes!

* Thu Sep 25 2003 Michael Shigorin <mike@altlinux.ru> 1:2.4.0-alt1
- 2.4.0 (major bugfixes)

* Thu Sep 11 2003 Michael Shigorin <mike@altlinux.ru> 1:2.3.23-alt3
- fixed Summary (thanks to Evgeny Yugov <yugov scs-900.ru>)

* Sun Aug 31 2003 Michael Shigorin <mike@altlinux.ru> 1:2.3.23-alt2
- fixed mmcache.ini installation; moved sample to docs as we don't have
  .ini autoloading feature in mod_php yet (thanks Dmitry Alexeyev
  <dmi_a qnx.org.ru> for pointer and legion@ for clarification)
- fixed configure parameters (thanks to "Anatol A. Ivanov"
  <anatol techmarket.ru> for pinpointing the problem)
- feeble attempt at "install-and-forget" in %%post/%%preun
  (should be redone properly as soon as #2940 is done)

* Sun Aug 31 2003 Michael Shigorin <mike@altlinux.ru> 1:2.3.23-alt1
- built for ALT Linux
- based on php-mmcache-4.3.2_2.3.22-1mdk and php-xml.spec
- more strict cache dir permissions
